Re-submit app for the sake of enabling iAds?

Discussion in 'iPhone/iPad Programming' started by dantastic, Apr 7, 2011.

  1. macrumors 6502

    dantastic

    Joined:
    Jan 21, 2011
    #1
    Hi,

    I just had an app appear on the store there now that is ad-driven. My first one with ads and I didn't properly read the manual so when I submitted the app I didn't also configure iAds in iTunesConnect at the same time...

    I realize I will have to re-submit the app but I have adWhirl integrated so I can just turn off iAds there for the time being. What I wanted to ask thoug is - If I submit my binary again - still version 1.0 - the same zip file. Will I be able to just update iTunes connect with the iAds settings without there being a version 1.1 and users being notified that there is an update? So if I resubmit the archive again, will it impact anyone but the fellas testing the app at apple?
     
  2. macrumors regular

    nickculbertson

    Joined:
    Nov 19, 2010
    Location:
    Nashville, TN
    #2
    You can't reject a binary that is in the store. You might just have to update.

    Nick
     
  3. thread starter macrumors 6502

    dantastic

    Joined:
    Jan 21, 2011
    #3
    Hmms.. I've emailed Apple - they should be able to tell.

    I don't really want to submit an update just for the sake of flipping a switch though...
     
  4. macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #4
    Why not? Just label it "Bug fixes"
     
  5. thread starter macrumors 6502

    dantastic

    Joined:
    Jan 21, 2011
    #5
    hmms, that wouldn't feel right... Plus, have some poor fella have to work the app all over again when there's nothing new there. Not cool..

    It's a version 1.0 so I'll probably have to update it in a month or so anyway, if it turns out I have to re-submit I'll wait until then.
     
  6. Moderator

    dejo

    Staff Member

    Joined:
    Sep 2, 2004
    Location:
    The Centennial State
    #6
    Apple will not accept the same binary as an update. It must have an increased version number.
     

Share This Page